Kerbal Space Program - Bug #18267

Contract sub-notifications popping up constantly
03/29/2018 07:44 AM - gASK

Status: Closed Start date: 03/29/2018
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.4.3

Version: 1.4.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

After the 1.4.2 update, the contract notifications became way more spammy.
Any time any subcondition on a contract is met, a notification is sent, even if it is completely not relevant.
Examples:
® Probe contract has "Ensure that the probe has an antenna and can generate power" -> any time | launch craft with antenna and
batteries, this notification appears
¢ Contract has "maintain stability for ten seconds" -> any time | leave my craft be for 10 or more seconds, a notification appears

¢ Contract has "put it into orbit of Kerbin" (ore in this case) -> any time | put ANY craft into orbit of Kerbin, this notification appears

Those can appear multiple times per mission, so | just landed my non-contract SSTO delivery mission with 18 "nonsense"
notifications about maintaining stability and such.

| will post a save file, logs and screenshot later when | get to my computer, but even without those this should be VERY easy to
reproduce.

Related issues:

Has duplicate Kerbal Space Program - Bug #18385: Messaging system - Duplicate Duplicate 04/04/2018
Has duplicate Kerbal Space Program - Feedback #18579: New messages - Duplicate Duplicate
History

#1 - 03/29/2018 08:04 AM - jclovis3

- File Extra ore missions not complete yet.png added

- File Stability credit earned before landing ore on Duna.png added
- File Stability credit earned before landing ore on Eve.png added

- Status changed from New to Confirmed

- % Done changed from 0 to 10

| concur and was just about to post the following on my own. Pics attached as well.

The missions for extracting and delivering ore have always been flawed in that you can extract the ore with one vessel and get delivery credit with
another already at the destination site loaded with its own ore. The new flaw however involves getting credit for maintaining stability and seems to pop
up in the message window every time you change ships, even if the ship has no ore.

As | just noticed the version number is now 1.4.2.2110, | assume this bug crept up in the latest updates.

#2 - 03/29/2018 10:31 AM - Squelch

- Status changed from Confirmed to Need More Info

- % Done changed from 10 to 0

Could you please attach your savefiles and confirm whether the contracts exhibiting this problem were accepted before the update, or after?

#3 - 03/29/2018 10:47 AM - gASK
All contracts | have were accepted before the update - | will try accepting a new contract and do a quick test launch later today and attach saves
afterwards.

#4 - 03/29/2018 01:02 PM - jclovis3

- File New Mission started.png added

- File persistent.zip added

- File Stability for new mission already satisfied sitting on launch pad.png added
- Status changed from Need More Info to Updated

- % Done changed from 0 to 10

| concur that the anomaly still exists with new missions. Started a simple mission to put a space station in orbit of Kerbin. Made a simple probe core
with a battery to put it on the launch pad, and within 10 game seconds, the notification pops in that | have achieved stability. Left the ship to go back
to the KSC, and no notification updates there. All messages were cleared before going back to the test ship, and again within 10 seconds, another
notification, along with the stability notifications from my other two missions involving ore. Seems to be related to stability notifications only. This
should not receive a message.

See attached photos if you need to. Save came (persistant file) also saved.

This bug should be bumped up to a high priority as the frequent population of this notification in the messages is very annoying to players trying to
keep tabs on whats going on with their other ships.

#5 - 03/29/2018 02:18 PM - gASK

Just want to add that it is not only stability notifications - | had notifications pop up for the following:

e Have a facility supporting at least X Kerbals
e Put it into orbit of Kerbin
¢ Have and antenna and means of generating power

And possibly others as well as | only had limited set of missions active.

However | agree that stability is the most annoying one as it can pop up multiple times per mission and generate loads of "spam".

#6 - 03/30/2018 01:25 AM - Buzzaard
- File vi_4 2.zip added

It is doing this for some missions(3) | accepted before the 1.42 patch.

1) Position a satellite in specific orbit for C7 Aerospace Division around Minmus
2) Position a satellite in specific orbit for Kerlington Model Rockets around Mun
3) Build a new orbital station around Duna

| accepted a mission to ferry 2 tourist to the Mun, 1 had to land.

| cleared all the messages at the launch pad and started the mission.

It added a completion message for each of the three for each instance below:
| hit 70km

circularized obit for Kerbin

at each node

another when | set a node as soon as the PE was inside the SOI of the Mun
when | arrived at Mun SOI

circularized orbit to Mun

landed on the Mun

took off from the Mun

circularized orbit to the Mun

Left Mun SOI

etc.

| received a total of 78 messages for the mission start to finish.

#7 - 03/30/2018 03:31 AM - cswiger
- File ksp.zip added

Same issue here; 1.41 save played under 1.42 results in ~40 messages about each contract parameter being set or unset.
Zip file with a savegame and the game logging attached. Small example:

[LOG 19:42:56.129] [ContractParameter]: on Contract Position satellite in an equatorial orbit of The Mun. set to Incomplete.
[LOG 19:42:56.129] [ContractParameter]: on Contract Position satellite in an equatorial orbit of Kerbin. set to Incomplete.

[LOG 19:43:13.646] Contract (Test RoveMax Model S2 on a sub-orbital trajectory over Kerbin.): 'Sub-orbital trajectory' complete!
[LOG 19:43:13.646] [ContractParameter]: on Contract Test RoveMax Model S2 set to Complete.

[LOG 19:43:14.346] Contract (Test Mk2-R Radial-Mount Parachute in flight over Kerbin.): 'Spd: 10.0m/s to 180.0m/s' complete!
[LOG 19:43:14.347] [ContractParameter]: on Contract Test Mk2-R Radial-Mount Parachute set to Complete.
[LOG 19:43:28.893] [ContractParameter]: on Contract Test Mk2-R Radial-Mount Parachute set to Incomplete.
[LOG 19:43:29.525] [ContractParameter]: on Contract Test RoveMax Model S2 set to Incomplete.

#9 - 04/02/2018 12:11 AM - taboo_2k

Same issue also. | can get up to 100 completed contracts at once.

#10 - 04/03/2018 11:46 AM - Squelch
- Status changed from Updated to Being Worked On
- % Done changed from 10 to 30

#11 - 04/03/2018 01:20 PM - 1narrator69@gmail.com

| can confirm this is also happening on linux versions as well. | removed the few mods | had, Mechjeb, a few from linuxgurugamer and required mods
for those and then removed and reinstalled the game. started a new career game and received multiple stability notifications by switching back and
forth between vehicles and entering and exiting from warp. Also received notifications of pilot on board, antenna present, and landed on mun when on
kerbin. None of these however checked of the said mission parameters in the contract window.

#12 - 04/04/2018 12:26 AM - TriggerAu

Just to add a text note on this one - its being actively worked on and the info here and in the forum has been super useful to nail down the details and
repro's

#13 - 04/05/2018 02:09 AM - Buzzaard
- File v142.zip added

| just accepted some new missions after being away for a few days, it looks like it does this to the new missions after upgrading to 1.42
| started a new game and it popped up for the Mk16 parachute, | moved all mods to a folder on my desktop and was able to duplicate this issue as
below:

1) Start a new game, go to Mission Control and pick the 2 missions "Gather Scientific data from Kerbin" and "Launch our first vessel"

2) Go to the VAB and add a command pod, parachute and flea rocket booster then stage the parachute and engine.

3) Go to the launch pad and do a crew report then launch, land, and recover.

4) Go to Mission Control and pick 2 missions "Haul RT5 slid rocket booster into flight above Kerbin" and "Test MK16 Parachute in flight over Kerbin"
5) Go to VAB and then to Launchpad with same vehicle, | got the issue to pop up as soon as the launchpad loaded for both the booster and the
parachute.

6) Launch and go straight up it will happen again. pop parachute at 11km or higher to intentionally not complete it, and the parachute one will pop
again. It pops 2 or 3 more times on the way down.

7) on Landing | received the completion message for both 3 times each.

Edit 6APR2018 | do not have the Making History expansion

#14 - 04/05/2018 02:07 PM - Squelch
- Has duplicate Bug #18385: Messaging system - Duplicate added

#15 - 04/17/2018 10:25 PM - Squelch
- Has duplicate Feedback #18579: New messages - Duplicate added

#16 - 04/21/2018 01:34 AM - Buzzaard

So after dealing with this for awhile | think | may have the basics of the issue figured out, | now have multiple craft all over space, it seems when |
switch to a new craft if that crafts specifications meet the parameters for a contract it is updating the messages queue not the contracts queue, in 1.3
when you opened the contracts listing it would make a tick mark next to the specifications of the craft you were on for each contract parameter that
was met. It no longer does that, | think those messages are supposed to be updating the contracts messaging system and not go to the message
system in order to show what parameters the craft meets.

All of the spam is "Contract Parameter Complete”.
Yesterday | had the day off and spent about 4 hours farming ore on Minmus and taking it to my orbital station and had 3000 contract parameter
complete messages in the message queue by the time | was done.

| hope this helps.
#17 - 04/26/2018 11:04 PM - Squelch
- Status changed from Being Worked On to Ready to Test

- Target version set to 1.4.3

- % Done changed from 30 to 80
The extra logging has now been removed.

#18 - 04/27/2018 07:17 AM - jclovis3
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

No longer seeing messages about achieving stability with every craft | load now. Thanks for making this a priority.

#19 - 04/29/2018 09:22 PM - Buzzaard
Agreed, thank you for getting this fixed, | had quit playing because of it.

#20 - 10/15/2018 06:47 PM - joshua.collins

- Status changed from Resolved to Closed

Files

Extra ore missions not complete yet.png 390 KB 03/29/2018 jclovis3
Stability credit earned before landing ore on Eve.png 384 KB 03/29/2018 jclovis3
Stability credit earned before landing ore on Duna.png 382 KB 03/29/2018 jclovis3
New Mission started.png 680 KB 03/29/2018 jclovis3
Stability for new mission already satisfied sitting on launch pad.png 669 KB 03/29/2018 jclovis3
persistent.zip 1.4 MB 03/29/2018 jclovis3
vi_4_2.zip 443 KB 03/30/2018 Buzzaard
ksp.zip 70.5 KB 03/30/2018 cswiger
v142.zip 19.2 KB 04/05/2018 Buzzaard

05/01/2024 4/4


http://www.tcpdf.org

